Subject: RE: FVWM: fvwm2 on cygwin/XFree86

From: Jeff Walker <[email-masked]>
Date: Fri, 29 Jun 2001 09:11:13 -0600

> -----Original Message-----
> From: Dominik Vogt [mailto:[email-masked]]
> Sent: Tuesday, June 26, 2001 5:47 PM
> To: Jeff Walker; fvwm
> Subject: Re: FVWM: fvwm2 on cygwin/XFree86
> 
> 
> On Tue, Jun 26, 2001 at 09:53:04AM -0600, Jeff Walker wrote:
> > Okay, xmodmap looks okay to me, except that only Alt_L and 
> Alt_R are present
> > for mod1, no meta.  But the keycode is correct.  Xvnc has 
> all four, alt and
> > meta tied to mod1.
> 
> According to my documentation this is not even possible.
> Somewhere I read that only two keys can be bound to a single
> modifier.

Yes, I noticed that too.  How is that controled?  I assume by the X server,
since xmodmap on both Solaris and OSF4 say that 4 keys/modifier are possible
on Xvnc, but only two on cygwin/Xfree86.

> 
> > Could this be the problem?  I don't really see how, but
> > I'm no xmodmap expert (or X keyboard expert).
> > 
> > Well, after writing that paragraph, I decided to try 
> changing the modifier
> > in the "Mouse" line to "mod1" instead of meta and it works. 
>  so here is my
> > new line:
> > Mouse 1 WTFSI 1 Move
> 
> Er, it does?  It shouldn't.  In fvwm, the modifier "M" is
> synonymous to "1", so if one fails, the other one can't work
> either.  Now I'm puzzled.

Yes, this seems to be the case.  I tried it again.  I am having very strange
behavior with the alt key with cygwin/xfree86.  It will work, then it will
just stop working after minimizing the window a few times (in windows, it
creates a single window in windows that, inside, you see the X display).
Then, if I minimize the window a few times, it comes back, very strange.  I
don't know if it is cygwin/X or fvwm2, or a combo.  That is why my original
email asked if anyone had really tried to use it, since I saw some traffic
about compiling it.  The cygwin/X maillist isn't very helpfull, it seems
that there are only two guys that actually answer questions, and everyone
else just asks.  Odd, but I guess that is a sign of a immature product, but
I digress.

> 
> > I guess I don't understand why meta won't work, but I guess 
> that is okay.
> > Well, I guess because Meta_L isn't there, but I don't know 
> quite how to fix
> > that without breaking anything else.  I hope that is the 
> only problem.  I
> > guess we will see....
> 
> Try
> 
>   $ xmodmap -e "clear Mod1"
>   $ xmodmap -e "add Mod1 = Meta_L Alt_L"
> 

Well, after that, the output of xmodmap looks like:
$ xmodmap
xmodmap:  up to 2 keys per modifier, (keycodes in parentheses):

shift       Shift_L (0x32),  Shift_R (0x3e)
lock        Caps_Lock (0x42)
control     Control_L (0x25),  Control_R (0x6d)
mod1        Alt_L (0x40),  Meta_L (0x73)
mod2        Num_Lock (0x4d)
mod3
mod4
mod5        Scroll_Lock (0x4e)

But the alt key doesn't move the window with either "1" or "M" now.  I do
notice that the alt key seems to do something (just the left, as expected).
If I move the mouse in the xterm window with the alt key down, it doesn't
move the window, but it does affect how the mouse selection works, it
doesn't hilight anything, so the xterm see that something is going on, it
just looks like fvwm2 doesn't recognize it?

I used xev to see that the keycode send by my alt key is indeed 0x40, so I
think this should be working.

> 
> > On Mon, Jun 25, 2001 at 02:24:39PM -0600, Jeff Walker wrote:
> > > Had anyone actually tried using fvwm2 on cygwin/xfree86?
> > > 
> > > It seems to work, but I am having trouble getting the alt 
> key to really
> > > work.  I have it set-up so that the mouse button 1 and 
> the alt key will
> > move
> > > the window:
> > > Mouse 1 WTFSI M Move 
> > > 
> > > This works via my vncserver (a xfree86 port), but not on 
> cygwin/xfree86.
> > > 
> > > I'm not convinced that this is a fvwm problem, I am just 
> wondering if
> > > someone has seen this.
> > > 
> > > BTW, I am seeing something strange in xev (under cygwin), but the
> > > cygwin/xfree86 folks seem to think it is okay.  I run 
> xev, and when I
> > press
> > > and hold a modifier (any one, not just alt) it repeats 
> like any other key
> > > (say, the letter "m").  I don't know if this is 
> contributing to the
> > problem
> > > or not, other programs seem to understand that I hit, say 
> "alt-q" instead
> > of
> > > just "q" (like vim).
> > > 
> > > Is this enough to go on?  Thanks.
> > 
> > Does the output of
> > 
> >   $ xmodmap
> > 
> > look okay?  The "Meta_L" key symbol should be mapped to Mod1.  If
> > not, this is probably your problem, if it is, try to find out
> > which key symbol is generated by the "Alt" key and use xmodmap to
> > tie it to Mod1.  If this does not help either I am out of ideas.
> 
> Bye
> 
> Dominik ^_^  ^_^
> 
> --
> Dominik Vogt, [email-masked]
> Reply-To: [email-masked]
> 

Thanks for your continued help.

-- 
Jeff Walker                   MatchLogic, Inc.
[email-masked]        7233 Church Ranch Blvd.
Voice 1 (303) 222-2105        Westminster, CO  80021
Fax   1 (303) 222-2001        www.matchlogic.com
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].